kind: Build
apiVersion: build.openshift.io/v1
metadata:
  annotations:
    openshift.io/build-config.name: eap-s2i-src
    openshift.io/build.number: '1'
    openshift.io/build.pod-name: eap-s2i-src-1-build
  resourceVersion: '8451262'
  name: eap-s2i-src-1
  uid: 6ac8957c-3875-419b-a604-da069c8280c8
  creationTimestamp: '2021-05-03T07:07:32Z'
  generation: 2
  namespace: vsalbaba
  ownerReferences:
    - apiVersion: build.openshift.io/v1
      kind: BuildConfig
      name: eap-s2i-src
      uid: 66438818-f87e-444f-b080-f089dd3a5ec4
      controller: true
  labels:
    buildconfig: eap-s2i-src
    openshift.io/build-config.name: eap-s2i-src
    openshift.io/build.start-policy: Serial
spec:
  serviceAccount: builder
  source:
    type: Binary
    binary: {}
  strategy:
    type: Source
    sourceStrategy:
      from:
        kind: DockerImage
        name: >-
          docker-registry.upshift.redhat.com/kwills/eap74-openjdk11-openshift-rhel8:CLOUD-3930
      env:
        - name: MAVEN_ARGS_APPEND
          value: install
      incremental: false
      forcePull: true
  output:
    to:
      kind: ImageStreamTag
      name: 'eap-s2i-src:latest'
    pushSecret:
      name: builder-dockercfg-8c85c
  resources: {}
  postCommit: {}
  nodeSelector: null
status:
  output:
    to:
      imageDigest: 'sha256:145b9bcb24df8b69ccc5b3757c7a9de7e478b9474795c0975e56c98a96ea3761'
  config:
    kind: BuildConfig
    namespace: vsalbaba
    name: eap-s2i-src
  outputDockerImageReference: 'image-registry.openshift-image-registry.svc:5000/vsalbaba/eap-s2i-src:latest'
  duration: 110000000000
  startTimestamp: '2021-05-03T07:07:32Z'
  stages:
    - name: PullImages
      startTime: '2021-05-03T07:07:38Z'
      durationMilliseconds: 62846
      steps:
        - name: PullBaseImage
          startTime: '2021-05-03T07:07:38Z'
          durationMilliseconds: 62846
    - name: Build
      startTime: '2021-05-03T07:08:41Z'
      durationMilliseconds: 31800
      steps:
        - name: DockerBuild
          startTime: '2021-05-03T07:08:41Z'
          durationMilliseconds: 31800
    - name: PushImage
      startTime: '2021-05-03T07:09:13Z'
      durationMilliseconds: 8712
      steps:
        - name: PushImage
          startTime: '2021-05-03T07:09:13Z'
          durationMilliseconds: 8712
  conditions:
    - type: New
      status: 'False'
      lastUpdateTime: '2021-05-03T07:07:32Z'
      lastTransitionTime: '2021-05-03T07:07:32Z'
    - type: Pending
      status: 'False'
      lastUpdateTime: '2021-05-03T07:07:35Z'
      lastTransitionTime: '2021-05-03T07:07:35Z'
    - type: Running
      status: 'False'
      lastUpdateTime: '2021-05-03T07:09:22Z'
      lastTransitionTime: '2021-05-03T07:09:22Z'
    - type: Complete
      status: 'True'
      lastUpdateTime: '2021-05-03T07:09:22Z'
      lastTransitionTime: '2021-05-03T07:09:22Z'
  completionTimestamp: '2021-05-03T07:09:22Z'
  phase: Complete
